<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/capture_frame"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent" >

    <SurfaceView
        android:id="@+id/scan_preview_view"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:layout_gravity="center" />

    <cn.jymf.scan.view.ViewfinderView
        android:id="@+id/scan_viewfinder_view"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:layout_gravity="center"
        android:background="@android:color/transparent" />

    <LinearLayout
        android:layout_width="fill_parent"
        android:layout_height="85.0dip"
        android:background="@drawable/bg_title"
        android:orientation="horizontal"
        android:weightSum="5.0" >

        <LinearLayout
            android:layout_width="0.0dip"
            android:layout_height="fill_parent"
            android:layout_weight="1.0"
            android:gravity="center"
            android:orientation="horizontal"
            android:visibility="invisible" >

            <ImageView
                android:id="@+id/scan_flashlight"
                android:layout_width="30.0dip"
                android:layout_height="30.0dip"
                android:layout_gravity="center_vertical"
                android:clickable="true"
                android:scaleType="fitCenter"
                android:src="@drawable/scan_flashlight" />
        </LinearLayout>

        <TextView
            android:id="@+id/scan_top_hint"
            android:layout_width="0.0dip"
            android:layout_height="85.0dip"
            android:layout_gravity="top|center"
            android:layout_weight="3.0"
            android:gravity="center"
            android:text="@string/top_hint"
            android:textColor="#ffffffff"
            android:textSize="16.0sp" />

        <LinearLayout
            android:layout_width="0.0dip"
            android:layout_height="fill_parent"
            android:layout_weight="1.0"
            android:gravity="center"
            android:orientation="horizontal"
            android:visibility="invisible" >

            <ImageView
                android:id="@+id/scan_local_photo"
                android:layout_width="30.0dip"
                android:layout_height="30.0dip"
                android:layout_gravity="center_vertical"
                android:clickable="true"
                android:scaleType="fitCenter"
                android:src="@drawable/scan_photo" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="fill_parent"
        android:layout_height="95.0dip"
        android:layout_gravity="bottom|center"
        android:gravity="center"
        android:orientation="horizontal" >

        <Button
            android:id="@+id/scan_button_back"
            style="@style/bottom_button_style"
            android:layout_width="100.0dip"
            android:layout_height="50.0dip"
            android:layout_gravity="center"
            android:text="@string/scan_back"
            android:textSize="18.0sp" />
    </LinearLayout>

</FrameLayout>